<?xml version="1.0" encoding="UTF-8"  ?>
<!-- Created with iReport - A designer for JasperReports -->
<!DOCTYPE jasperReport PUBLIC "//JasperReports//DTD Report Design//EN" "http://jasperreports.sourceforge.net/dtds/jasperreport.dtd">
<jasperReport
		 name="ContasReceber"
		 columnCount="1"
		 printOrder="Vertical"
		 orientation="Landscape"
		 pageWidth="842"
		 pageHeight="595"
		 columnWidth="535"
		 columnSpacing="0"
		 leftMargin="30"
		 rightMargin="30"
		 topMargin="20"
		 bottomMargin="20"
		 whenNoDataType="NoPages"
		 isTitleNewPage="false"
		 isSummaryNewPage="false">
	<property name="ireport.encoding" value="UTF-8" />
	<property name="ireport.scriptlethandling" value="0" />
	<import value="java.util.*" />
	<import value="net.sf.jasperreports.engine.*" />
	<import value="net.sf.jasperreports.engine.data.*" />
	<parameter name="iDataInicial" isForPrompting="true" class="java.lang.String">
		<defaultValueExpression ><![CDATA["01/01/2009"]]></defaultValueExpression>
	</parameter>
	<parameter name="iDataFinal" isForPrompting="true" class="java.lang.String">
		<defaultValueExpression ><![CDATA["31/12/2009"]]></defaultValueExpression>
	</parameter>
	<parameter name="iIdEmpresa" isForPrompting="true" class="java.lang.String">
		<defaultValueExpression ><![CDATA[""]]></defaultValueExpression>
	</parameter>
	<parameter name="iDataInicialSQL" isForPrompting="true" class="java.lang.String">
		<defaultValueExpression ><![CDATA["2009-01-01"]]></defaultValueExpression>
	</parameter>
	<parameter name="iDataFinalSQL" isForPrompting="true" class="java.lang.String">
		<defaultValueExpression ><![CDATA["2009-12-31"]]></defaultValueExpression>
	</parameter>
	<parameter name="DIRETORIO_IMAGENS" isForPrompting="true" class="java.lang.String">
		<defaultValueExpression ><![CDATA["C://Aplicativos//maisa//Relatorios//"]]></defaultValueExpression>
	</parameter>
	<parameter name="iIdFormaPagamento" isForPrompting="true" class="java.lang.String">
		<defaultValueExpression ><![CDATA[""]]></defaultValueExpression>
	</parameter>
	<parameter name="iIdCliente" isForPrompting="true" class="java.lang.String">
		<defaultValueExpression ><![CDATA[""]]></defaultValueExpression>
	</parameter>
	<parameter name="iIdVendedor" isForPrompting="true" class="java.lang.String">
		<defaultValueExpression ><![CDATA[""]]></defaultValueExpression>
	</parameter>
	<parameter name="iVencimentoEmissao" isForPrompting="true" class="java.lang.String"/>
	<parameter name="iValorInicialSql" isForPrompting="true" class="java.lang.String"/>
	<parameter name="iValorFinalSql" isForPrompting="true" class="java.lang.String"/>
	<parameter name="iValorInicial" isForPrompting="true" class="java.lang.String"/>
	<parameter name="iValorFinal" isForPrompting="true" class="java.lang.String"/>
	<queryString><![CDATA[SELECT distinct lancamentoContaReceber.`dataVencimento`, lancamentoContaReceber.`dataQuitacao`, lancamentoContaReceber.`valorOriginal`,
lancamentoContaReceber.`valorPago`, ifNull(nf.numero,substr(lancamentoContaReceber.`numeroDocumento`,3,4)) as numeroNota,lancamentoContaReceber.`documentoPagamento`,
lancamentoContaReceber.`nossoNumero`, lancamentoContaReceber.`dvNossoNumero`,
empresa.`razaoSocial` empresa, lancamentoContaReceber.dataLancamento as dataLancamento, 
cliente.`nomeCompletoRazaoSocial` nomeCliente, cliente.codigo as codigoCliente, cliente.cnpjCpf as cnpjCliente, 
tipoConta.`descricao` descricaoTipoConta,
lancamentoContaReceber.`observacao`,v.mnemonico as vendedor,contaCorrente.descricao as contaCorrente,
formaPagamento.descricao formaPagamentoDescricao,
((valorOriginal) - (ifnull(valorPago,0)+ifnull(lancamentoContaReceber.valorDesconto,0))) as saldo,
cpv.descricao as prazo
FROM `LancamentoContaReceber` lancamentoContaReceber
LEFT OUTER JOIN `Cliente` cliente ON lancamentoContaReceber.`idCliente` = cliente.`idCliente`
LEFT OUTER JOIN `Empresa` empresa ON lancamentoContaReceber.`idEmpresa` = empresa.`idEmpresa`
LEFT OUTER JOIN `ContaCorrente` contaCorrente ON lancamentoContaReceber.`idContaCorrente` = contaCorrente.`idContaCorrente`
LEFT OUTER JOIN `TipoConta` tipoConta ON lancamentoContaReceber.`idTipoConta` = tipoConta.`idTipoConta`
LEFT OUTER JOIN `FormaPagamento` formaPagamento ON lancamentoContaReceber.`idFormaPagamento` = formaPagamento.`idFormaPagamento`
LEFT OUTER JOIN `PagamentoNotaFiscal` pnf on pnf.idLancamentoContaReceber = lancamentoContaReceber.idLancamentoContaReceber
LEFT OUTER JOIN `NotaFiscal` nf on nf.idNotaFiscal = pnf.idNotaFiscal
LEFT OUTER JOIN `DocMovimentacaoEstoque` dme on dme.idDocMovimentacaoEstoque = nf.idDocMovimentacaoEstoque
LEFT OUTER JOIN `PedidoVenda` pv on dme.idDocumentoOrigem = pv.idPedidoVenda
LEFT OUTER JOIN `Vendedor` v on v.idVendedor = pv.idVendedor
LEFT OUTER JOIN `CondicaoPagamentoVenda` cpv on pv.idCondicaoPagamentoVenda = cpv.idCondicaoPagamentoVenda
WHERE (empresa.idEmpresa = $P{iIdEmpresa} OR $P{iIdEmpresa} ='')
AND lancamentoContaReceber.`dataVencimento` >= $P{iDataInicialSQL}
AND lancamentoContaReceber.`dataVencimento` <= $P{iDataFinalSQL}
AND (lancamentoContaReceber.`valorOriginal` - ifnull(lancamentoContaReceber.`valorPago`,0)) >= $P{iValorInicialSql} 
AND (lancamentoContaReceber.`valorOriginal` - ifnull(lancamentoContaReceber.`valorPago`,0)) <= $P{iValorFinalSql}
AND (lancamentoContaReceber.`idFormaPagamento` = $P{iIdFormaPagamento} OR $P{iIdFormaPagamento}='')
AND (v.`idVendedor` = $P{iIdVendedor} OR $P{iIdVendedor}='')
AND (cliente.`idCliente` = $P{iIdCliente} OR $P{iIdCliente}='')
ORDER BY v.mnemonico, lancamentoContaReceber.`dataVencimento`]]></queryString>
	<field name="empresa" class="java.lang.String"/>
	<field name="valorOriginal" class="java.lang.Double"/>
	<field name="dataVencimento" class="java.util.Date"/>
	<field name="dataLancamento" class="java.util.Date"/>
	<field name="nomeCliente" class="java.lang.String"/>
	<field name="cnpjCliente" class="java.lang.String"/>
	<field name="numeroNota" class="java.lang.String"/>
	<field name="documentoPagamento" class="java.lang.String"/>
	<field name="formaPagamentoDescricao" class="java.lang.String"/>
	<field name="codigoCliente" class="java.lang.Integer"/>
	<field name="saldo" class="java.lang.Double"/>
	<field name="prazo" class="java.lang.String"/>
	<field name="nossoNumero" class="java.lang.String"/>
	<field name="dvNossoNumero" class="java.lang.String"/>
	<variable name="somaValorTitulo" class="java.lang.Double" resetType="Report" calculation="Sum">
		<variableExpression><![CDATA[$F{valorOriginal}]]></variableExpression>
	</variable>
	<variable name="somaValorSaldo" class="java.lang.Double" resetType="Report" calculation="Sum">
		<variableExpression><![CDATA[$F{saldo}]]></variableExpression>
	</variable>
	<variable name="diasAtraso" class="java.lang.Long" resetType="Report" calculation="Nothing">
		<variableExpression><![CDATA[new Long((new java.util.Date().getTime() - $F{dataVencimento}.getTime()) / (1000 * 60 * 60 * 24))]]></variableExpression>
	</variable>
		<background>
			<band height="14"  isSplitAllowed="true" >
			</band>
		</background>
		<title>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</title>
		<pageHeader>
			<band height="16"  isSplitAllowed="true" >
				<line direction="TopDown">
					<reportElement
						mode="Opaque"
						x="0"
						y="2"
						width="779"
						height="1"
						forecolor="#808080"
						backcolor="#FFFFFF"
						key="line"
						stretchType="NoStretch"
						positionType="FixRelativeToTop"
						isPrintRepeatedValues="true"
						isRemoveLineWhenBlank="false"
						isPrintInFirstWholeBand="false"
						isPrintWhenDetailOverflows="false"/>
					<graphicElement stretchType="NoStretch" pen="2Point" fill="Solid" />
				</line>
				<textField isStretchWithOverflow="false" pattern="" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						mode="Transparent"
						x="1"
						y="2"
						width="771"
						height="12"
						forecolor="#000000"
						backcolor="#FFFFFF"
						key="textField"
						stretchType="NoStretch"
						positionType="FixRelativeToTop"
						isPrintRepeatedValues="true"
						isRemoveLineWhenBlank="false"
						isPrintInFirstWholeBand="false"
						isPrintWhenDetailOverflows="false"/>
					<box topBorder="Thin" topBorderColor="#000000" topPadding="1" leftBorder="Thin" leftBorderColor="#000000" leftPadding="1" rightBorder="Thin" rightBorderColor="#FFFFFF" rightPadding="1" bottomBorder="Thin" bottomBorderColor="#000000" bottomPadding="1"/>
					<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" lineSpacing="Single">
						<font fontName="sansserif" pdfFontName="Helvetica" size="8" isBold="false" isItalic="false" isUnderline="false" isPdfEmbedded ="false" pdfEncoding ="CP1252" isStrikeThrough="false" />
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA["Saldo De : " + $P{iValorInicial} + "até" + $P{iValorFinal}]]></textFieldExpression>
				</textField>
			</band>
		</pageHeader>
		<columnHeader>
			<band height="15"  isSplitAllowed="true" >
				<staticText>
					<reportElement
						mode="Opaque"
						x="332"
						y="0"
						width="54"
						height="15"
						forecolor="#000000"
						backcolor="#FFFFFF"
						key="staticText"
						stretchType="NoStretch"
						positionType="FixRelativeToTop"
						isPrintRepeatedValues="true"
						isRemoveLineWhenBlank="false"
						isPrintInFirstWholeBand="false"
						isPrintWhenDetailOverflows="false"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#333333" rightPadding="1" bottomBorder="Thin" bottomBorderColor="#000000" bottomPadding="1"/>
					<textElement textAlignment="Center" verticalAlignment="Top" rotation="None" lineSpacing="Single">
						<font fontName="SansSerif" pdfFontName="Helvetica" size="8" isBold="false" isItalic="false" isUnderline="false" isPdfEmbedded ="false" pdfEncoding ="CP1252" isStrikeThrough="false" />
					</textElement>
				<text><![CDATA[Nfe]]></text>
				</staticText>
				<staticText>
					<reportElement
						mode="Opaque"
						x="434"
						y="0"
						width="50"
						height="15"
						forecolor="#000000"
						backcolor="#FFFFFF"
						key="staticText"
						stretchType="NoStretch"
						positionType="FixRelativeToTop"
						isPrintRepeatedValues="true"
						isRemoveLineWhenBlank="false"
						isPrintInFirstWholeBand="false"
						isPrintWhenDetailOverflows="false"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="Thin" rightBorderColor="#000000" rightPadding="1" bottomBorder="Thin" bottomBorderColor="#000000" bottomPadding="1"/>
					<textElement textAlignment="Right" verticalAlignment="Top" rotation="None" lineSpacing="Single">
						<font fontName="SansSerif" pdfFontName="Helvetica" size="8" isBold="false" isItalic="false" isUnderline="false" isPdfEmbedded ="false" pdfEncoding ="CP1252" isStrikeThrough="false" />
					</textElement>
				<text><![CDATA[Vlr. Titulo]]></text>
				</staticText>
				<staticText>
					<reportElement
						mode="Opaque"
						x="1"
						y="0"
						width="278"
						height="15"
						forecolor="#000000"
						backcolor="#FFFFFF"
						key="staticText"
						stretchType="NoStretch"
						positionType="FixRelativeToTop"
						isPrintRepeatedValues="true"
						isRemoveLineWhenBlank="false"
						isPrintInFirstWholeBand="false"
						isPrintWhenDetailOverflows="false"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="Thin" leftBorderColor="#000000" leftPadding="1" rightBorder="Thin" rightBorderColor="#000000" rightPadding="1" bottomBorder="Thin" bottomBorderColor="#000000" bottomPadding="1"/>
					<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" lineSpacing="Single">
						<font fontName="SansSerif" pdfFontName="Helvetica" size="8" isBold="false" isItalic="false" isUnderline="false" isPdfEmbedded ="false" pdfEncoding ="CP1252" isStrikeThrough="false" />
					</textElement>
				<text><![CDATA[Cliente]]></text>
				</staticText>
				<staticText>
					<reportElement
						mode="Opaque"
						x="386"
						y="0"
						width="47"
						height="15"
						forecolor="#000000"
						backcolor="#FFFFFF"
						key="staticText"
						stretchType="NoStretch"
						positionType="FixRelativeToTop"
						isPrintRepeatedValues="true"
						isRemoveLineWhenBlank="false"
						isPrintInFirstWholeBand="false"
						isPrintWhenDetailOverflows="false"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="Thin" leftBorderColor="#000000" leftPadding="1" rightBorder="Thin" rightBorderColor="#000000" rightPadding="1" bottomBorder="Thin" bottomBorderColor="#000000" bottomPadding="1"/>
					<textElement textAlignment="Center" verticalAlignment="Top" rotation="None" lineSpacing="Single">
						<font fontName="SansSerif" pdfFontName="Helvetica" size="8" isBold="false" isItalic="false" isUnderline="false" isPdfEmbedded ="false" pdfEncoding ="CP1252" isStrikeThrough="false" />
					</textElement>
				<text><![CDATA[Titulo]]></text>
				</staticText>
				<staticText>
					<reportElement
						mode="Opaque"
						x="616"
						y="0"
						width="46"
						height="15"
						forecolor="#000000"
						backcolor="#FFFFFF"
						key="staticText"
						stretchType="NoStretch"
						positionType="FixRelativeToTop"
						isPrintRepeatedValues="true"
						isRemoveLineWhenBlank="false"
						isPrintInFirstWholeBand="false"
						isPrintWhenDetailOverflows="false"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="Thin" rightBorderColor="#000000" rightPadding="1" bottomBorder="Thin" bottomBorderColor="#000000" bottomPadding="1"/>
					<textElement textAlignment="Center" verticalAlignment="Top" rotation="None" lineSpacing="Single">
						<font fontName="SansSerif" pdfFontName="Helvetica" size="8" isBold="false" isItalic="false" isUnderline="false" isPdfEmbedded ="false" pdfEncoding ="CP1252" isStrikeThrough="false" />
					</textElement>
				<text><![CDATA[Dt. Emisão]]></text>
				</staticText>
				<staticText>
					<reportElement
						mode="Opaque"
						x="662"
						y="0"
						width="58"
						height="15"
						forecolor="#000000"
						backcolor="#FFFFFF"
						key="staticText-1"
						stretchType="NoStretch"
						positionType="FixRelativeToTop"
						isPrintRepeatedValues="true"
						isRemoveLineWhenBlank="false"
						isPrintInFirstWholeBand="false"
						isPrintWhenDetailOverflows="false"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="Thin" rightBorderColor="#000000" rightPadding="1" bottomBorder="Thin" bottomBorderColor="#000000" bottomPadding="1"/>
					<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" lineSpacing="Single">
						<font fontName="SansSerif" pdfFontName="Helvetica" size="8" isBold="false" isItalic="false" isUnderline="false" isPdfEmbedded ="false" pdfEncoding ="CP1252" isStrikeThrough="false" />
					</textElement>
				<text><![CDATA[Pagamento]]></text>
				</staticText>
				<staticText>
					<reportElement
						mode="Opaque"
						x="595"
						y="0"
						width="20"
						height="15"
						forecolor="#000000"
						backcolor="#FFFFFF"
						key="staticText-2"
						stretchType="NoStretch"
						positionType="FixRelativeToTop"
						isPrintRepeatedValues="true"
						isRemoveLineWhenBlank="false"
						isPrintInFirstWholeBand="false"
						isPrintWhenDetailOverflows="false"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="Thin" rightBorderColor="#000000" rightPadding="1" bottomBorder="Thin" bottomBorderColor="#000000" bottomPadding="1"/>
					<textElement textAlignment="Center" verticalAlignment="Top" rotation="None" lineSpacing="Single">
						<font fontName="SansSerif" pdfFontName="Helvetica" size="8" isBold="false" isItalic="false" isUnderline="false" isPdfEmbedded ="false" pdfEncoding ="CP1252" isStrikeThrough="false" />
					</textElement>
				<text><![CDATA[D/A]]></text>
				</staticText>
				<staticText>
					<reportElement
						mode="Opaque"
						x="279"
						y="0"
						width="53"
						height="15"
						forecolor="#000000"
						backcolor="#FFFFFF"
						key="staticText-3"
						stretchType="NoStretch"
						positionType="FixRelativeToTop"
						isPrintRepeatedValues="true"
						isRemoveLineWhenBlank="false"
						isPrintInFirstWholeBand="false"
						isPrintWhenDetailOverflows="false"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="Thin" rightBorderColor="#000000" rightPadding="1" bottomBorder="Thin" bottomBorderColor="#000000" bottomPadding="1"/>
					<textElement textAlignment="Center" verticalAlignment="Top" rotation="None" lineSpacing="Single">
						<font fontName="SansSerif" pdfFontName="Helvetica" size="8" isBold="false" isItalic="false" isUnderline="false" isPdfEmbedded ="false" pdfEncoding ="CP1252" isStrikeThrough="false" />
					</textElement>
				<text><![CDATA[Vcto.]]></text>
				</staticText>
				<staticText>
					<reportElement
						mode="Opaque"
						x="485"
						y="1"
						width="51"
						height="14"
						forecolor="#000000"
						backcolor="#FFFFFF"
						key="staticText-4"
						stretchType="NoStretch"
						positionType="FixRelativeToTop"
						isPrintRepeatedValues="true"
						isRemoveLineWhenBlank="false"
						isPrintInFirstWholeBand="false"
						isPrintWhenDetailOverflows="false"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="Thin" rightBorderColor="#000000" rightPadding="1" bottomBorder="Thin" bottomBorderColor="#000000" bottomPadding="1"/>
					<textElement textAlignment="Right" verticalAlignment="Top" rotation="None" lineSpacing="Single">
						<font fontName="SansSerif" pdfFontName="Helvetica" size="8" isBold="false" isItalic="false" isUnderline="false" isPdfEmbedded ="false" pdfEncoding ="Cp1252" isStrikeThrough="false" />
					</textElement>
				<text><![CDATA[Saldo]]></text>
				</staticText>
				<staticText>
					<reportElement
						mode="Opaque"
						x="536"
						y="0"
						width="59"
						height="15"
						forecolor="#000000"
						backcolor="#FFFFFF"
						key="staticText-5"
						stretchType="NoStretch"
						positionType="FixRelativeToTop"
						isPrintRepeatedValues="true"
						isRemoveLineWhenBlank="false"
						isPrintInFirstWholeBand="false"
						isPrintWhenDetailOverflows="false"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="Thin" rightBorderColor="#000000" rightPadding="1" bottomBorder="Thin" bottomBorderColor="#000000" bottomPadding="1"/>
					<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" lineSpacing="Single">
						<font fontName="SansSerif" pdfFontName="Helvetica" size="8" isBold="false" isItalic="false" isUnderline="false" isPdfEmbedded ="false" pdfEncoding ="Cp1252" isStrikeThrough="false" />
					</textElement>
				<text><![CDATA[Prazo]]></text>
				</staticText>
				<staticText>
					<reportElement
						mode="Opaque"
						x="720"
						y="0"
						width="58"
						height="15"
						forecolor="#000000"
						backcolor="#FFFFFF"
						key="staticText-6"
						stretchType="NoStretch"
						positionType="FixRelativeToTop"
						isPrintRepeatedValues="true"
						isRemoveLineWhenBlank="false"
						isPrintInFirstWholeBand="false"
						isPrintWhenDetailOverflows="false"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="Thin" rightBorderColor="#000000" rightPadding="1" bottomBorder="Thin" bottomBorderColor="#000000" bottomPadding="1"/>
					<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" lineSpacing="Single">
						<font fontName="SansSerif" pdfFontName="Helvetica" size="8" isBold="false" isItalic="false" isUnderline="false" isPdfEmbedded ="false" pdfEncoding ="CP1252" isStrikeThrough="false" />
					</textElement>
				<text><![CDATA[Nosso Nr]]></text>
				</staticText>
			</band>
		</columnHeader>
		<detail>
			<band height="15"  isSplitAllowed="true" >
				<textField isStretchWithOverflow="false" pattern="" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						mode="Opaque"
						x="1"
						y="0"
						width="278"
						height="15"
						forecolor="#000000"
						backcolor="#FFFFFF"
						key="textField"
						stretchType="NoStretch"
						positionType="FixRelativeToTop"
						isPrintRepeatedValues="true"
						isRemoveLineWhenBlank="false"
						isPrintInFirstWholeBand="false"
						isPrintWhenDetailOverflows="false"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="Thin" leftBorderColor="#000000" leftPadding="1" rightBorder="Thin" rightBorderColor="#000000" rightPadding="1" bottomBorder="Thin" bottomBorderColor="#000000" bottomPadding="1"/>
					<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" lineSpacing="Single">
						<font fontName="SansSerif" pdfFontName="Helvetica" size="6" isBold="false" isItalic="false" isUnderline="false" isPdfEmbedded ="false" pdfEncoding ="CP1252" isStrikeThrough="false" />
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{codigoCliente} + ":" + $F{nomeCliente} + " - " + $F{cnpjCliente}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" pattern="#,##0.00" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						mode="Opaque"
						x="433"
						y="0"
						width="50"
						height="15"
						forecolor="#000000"
						backcolor="#FFFFFF"
						key="textField"
						stretchType="NoStretch"
						positionType="FixRelativeToTop"
						isPrintRepeatedValues="true"
						isRemoveLineWhenBlank="false"
						isPrintInFirstWholeBand="false"
						isPrintWhenDetailOverflows="false"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#333333" rightPadding="1" bottomBorder="Thin" bottomBorderColor="#000000" bottomPadding="1"/>
					<textElement textAlignment="Right" verticalAlignment="Top" rotation="None" lineSpacing="Single">
						<font fontName="SansSerif" pdfFontName="Helvetica" size="6" isBold="false" isItalic="false" isUnderline="false" isPdfEmbedded ="false" pdfEncoding ="CP1252" isStrikeThrough="false" />
					</textElement>
				<textFieldExpression   class="java.lang.Double"><![CDATA[$F{valorOriginal}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" pattern="" isBlankWhenNull="true" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						mode="Opaque"
						x="332"
						y="0"
						width="54"
						height="15"
						forecolor="#000000"
						backcolor="#FFFFFF"
						key="textField"
						stretchType="NoStretch"
						positionType="FixRelativeToTop"
						isPrintRepeatedValues="true"
						isRemoveLineWhenBlank="false"
						isPrintInFirstWholeBand="false"
						isPrintWhenDetailOverflows="false"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="None" rightBorderColor="#000000" rightPadding="1" bottomBorder="Thin" bottomBorderColor="#000000" bottomPadding="1"/>
					<textElement textAlignment="Center" verticalAlignment="Top" rotation="None" lineSpacing="Single">
						<font fontName="SansSerif" pdfFontName="Helvetica" size="6" isBold="false" isItalic="false" isUnderline="false" isPdfEmbedded ="false" pdfEncoding ="CP1252" isStrikeThrough="false" />
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{numeroNota}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" pattern="" isBlankWhenNull="true" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						mode="Transparent"
						x="386"
						y="0"
						width="47"
						height="15"
						forecolor="#000000"
						backcolor="#FFFFFF"
						key="textField"
						stretchType="NoStretch"
						positionType="FixRelativeToTop"
						isPrintRepeatedValues="true"
						isRemoveLineWhenBlank="false"
						isPrintInFirstWholeBand="false"
						isPrintWhenDetailOverflows="false"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="Thin" leftBorderColor="#000000" leftPadding="1" rightBorder="Thin" rightBorderColor="#000000" rightPadding="1" bottomBorder="Thin" bottomBorderColor="#000000" bottomPadding="1"/>
					<textElement textAlignment="Center" verticalAlignment="Top" rotation="None" lineSpacing="Single">
						<font fontName="sansserif" pdfFontName="Helvetica" size="6" isBold="false" isItalic="false" isUnderline="false" isPdfEmbedded ="false" pdfEncoding ="Cp1252" isStrikeThrough="false" />
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{documentoPagamento}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" pattern="dd/MM/yyyy" isBlankWhenNull="true" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						mode="Opaque"
						x="616"
						y="0"
						width="46"
						height="15"
						forecolor="#000000"
						backcolor="#FFFFFF"
						key="textField"
						stretchType="NoStretch"
						positionType="FixRelativeToTop"
						isPrintRepeatedValues="true"
						isRemoveLineWhenBlank="false"
						isPrintInFirstWholeBand="false"
						isPrintWhenDetailOverflows="false"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="Thin" leftBorderColor="#000000" leftPadding="1" rightBorder="Thin" rightBorderColor="#000000" rightPadding="1" bottomBorder="Thin" bottomBorderColor="#000000" bottomPadding="1"/>
					<textElement textAlignment="Center" verticalAlignment="Top" rotation="None" lineSpacing="Single">
						<font fontName="SansSerif" pdfFontName="Helvetica" size="6" isBold="false" isItalic="false" isUnderline="false" isPdfEmbedded ="false" pdfEncoding ="CP1252" isStrikeThrough="false" />
					</textElement>
				<textFieldExpression   class="java.util.Date"><![CDATA[$F{dataLancamento}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" pattern="" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						mode="Opaque"
						x="662"
						y="0"
						width="58"
						height="15"
						forecolor="#000000"
						backcolor="#FFFFFF"
						key="textField"
						stretchType="NoStretch"
						positionType="FixRelativeToTop"
						isPrintRepeatedValues="true"
						isRemoveLineWhenBlank="false"
						isPrintInFirstWholeBand="false"
						isPrintWhenDetailOverflows="false"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="Thin" rightBorderColor="#000000" rightPadding="1" bottomBorder="Thin" bottomBorderColor="#000000" bottomPadding="1"/>
					<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" lineSpacing="Single">
						<font fontName="Arial" pdfFontName="Helvetica" size="6" isBold="false" isItalic="false" isUnderline="false" isPdfEmbedded ="false" pdfEncoding ="Cp1252" isStrikeThrough="false" />
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{formaPagamentoDescricao}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" pattern="#,##0" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						mode="Opaque"
						x="595"
						y="0"
						width="20"
						height="15"
						forecolor="#000000"
						backcolor="#FFFFFF"
						key="textField"
						stretchType="NoStretch"
						positionType="FixRelativeToTop"
						isPrintRepeatedValues="true"
						isRemoveLineWhenBlank="false"
						isPrintInFirstWholeBand="false"
						isPrintWhenDetailOverflows="false">
							<printWhenExpression><![CDATA[new Boolean($V{diasAtraso}.intValue()>0?true:false)]]></printWhenExpression>
						</reportElement>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="Thin" rightBorderColor="#000000" rightPadding="1" bottomBorder="Thin" bottomBorderColor="#000000" bottomPadding="1"/>
					<textElement textAlignment="Center" verticalAlignment="Top" rotation="None" lineSpacing="Single">
						<font fontName="Arial" pdfFontName="Helvetica" size="6" isBold="false" isItalic="false" isUnderline="false" isPdfEmbedded ="false" pdfEncoding ="Cp1252" isStrikeThrough="false" />
					</textElement>
				<textFieldExpression   class="java.lang.Long"><![CDATA[$V{diasAtraso}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" pattern="dd/MM/yyyy" isBlankWhenNull="true" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						mode="Opaque"
						x="279"
						y="0"
						width="53"
						height="15"
						forecolor="#000000"
						backcolor="#FFFFFF"
						key="textField-1"
						stretchType="NoStretch"
						positionType="FixRelativeToTop"
						isPrintRepeatedValues="true"
						isRemoveLineWhenBlank="false"
						isPrintInFirstWholeBand="false"
						isPrintWhenDetailOverflows="false"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="Thin" rightBorderColor="#000000" rightPadding="1" bottomBorder="Thin" bottomBorderColor="#000000" bottomPadding="1"/>
					<textElement textAlignment="Center" verticalAlignment="Top" rotation="None" lineSpacing="Single">
						<font fontName="SansSerif" pdfFontName="Helvetica" size="6" isBold="false" isItalic="false" isUnderline="false" isPdfEmbedded ="false" pdfEncoding ="CP1252" isStrikeThrough="false" />
					</textElement>
				<textFieldExpression   class="java.util.Date"><![CDATA[$F{dataVencimento}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" pattern="#,##0.00" isBlankWhenNull="true" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						mode="Opaque"
						x="484"
						y="0"
						width="51"
						height="15"
						forecolor="#000000"
						backcolor="#FFFFFF"
						key="textField-2"
						stretchType="NoStretch"
						positionType="FixRelativeToTop"
						isPrintRepeatedValues="true"
						isRemoveLineWhenBlank="false"
						isPrintInFirstWholeBand="false"
						isPrintWhenDetailOverflows="false"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="Thin" leftBorderColor="#000000" leftPadding="1" rightBorder="Thin" rightBorderColor="#000000" rightPadding="1" bottomBorder="Thin" bottomBorderColor="#000000" bottomPadding="1"/>
					<textElement textAlignment="Right" verticalAlignment="Top" rotation="None" lineSpacing="Single">
						<font fontName="Arial" pdfFontName="Helvetica" size="6" isBold="false" isItalic="false" isUnderline="false" isPdfEmbedded ="false" pdfEncoding ="Cp1252" isStrikeThrough="false" />
					</textElement>
				<textFieldExpression   class="java.lang.Double"><![CDATA[$F{saldo}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" pattern="" isBlankWhenNull="true" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						mode="Opaque"
						x="536"
						y="0"
						width="58"
						height="15"
						forecolor="#000000"
						backcolor="#FFFFFF"
						key="textField-3"
						stretchType="NoStretch"
						positionType="FixRelativeToTop"
						isPrintRepeatedValues="true"
						isRemoveLineWhenBlank="false"
						isPrintInFirstWholeBand="false"
						isPrintWhenDetailOverflows="false"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="Thin" rightBorderColor="#000000" rightPadding="1" bottomBorder="Thin" bottomBorderColor="#000000" bottomPadding="1"/>
					<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" lineSpacing="Single">
						<font fontName="SansSerif" pdfFontName="Helvetica" size="6" isBold="false" isItalic="false" isUnderline="false" isPdfEmbedded ="false" pdfEncoding ="Cp1252" isStrikeThrough="false" />
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{prazo}]]></textFieldExpression>
				</textField>
				<textField isStretchWithOverflow="false" pattern="" isBlankWhenNull="false" evaluationTime="Now" hyperlinkType="None"  hyperlinkTarget="Self" >
					<reportElement
						mode="Opaque"
						x="720"
						y="0"
						width="58"
						height="15"
						forecolor="#000000"
						backcolor="#FFFFFF"
						key="textField-4"
						stretchType="NoStretch"
						positionType="FixRelativeToTop"
						isPrintRepeatedValues="true"
						isRemoveLineWhenBlank="false"
						isPrintInFirstWholeBand="false"
						isPrintWhenDetailOverflows="false"/>
					<box topBorder="None" topBorderColor="#000000" leftBorder="None" leftBorderColor="#000000" rightBorder="Thin" rightBorderColor="#000000" rightPadding="1" bottomBorder="Thin" bottomBorderColor="#000000" bottomPadding="1"/>
					<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" lineSpacing="Single">
						<font fontName="Arial" pdfFontName="Helvetica" size="6" isBold="false" isItalic="false" isUnderline="false" isPdfEmbedded ="false" pdfEncoding ="Cp1252" isStrikeThrough="false" />
					</textElement>
				<textFieldExpression   class="java.lang.String"><![CDATA[$F{nossoNumero}+"-"+$F{dvNossoNumero}]]></textFieldExpression>
				</textField>
			</band>
		</detail>
		<columnFooter>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</columnFooter>
		<pageFooter>
			<band height="20"  isSplitAllowed="true" >
			</band>
		</pageFooter>
		<summary>
			<band height="0"  isSplitAllowed="true" >
			</band>
		</summary>
</jasperReport>
